=== debian/changelog ===
newlib-m68hc1x (1.10.0-9) unstable; urgency=low

  * Updated example.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 18 Apr 2004 04:45:27 +0200

newlib-m68hc1x (1.10.0-8) unstable; urgency=low

  * Rebuilt using gcc-3.3.3.
  * Bumped standards-version to 3.6.1

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 11 Apr 2004 11:56:47 +0200

newlib-m68hc1x (1.10.0-7) unstable; urgency=low

  * Added a lintian override file to remove all "arch-independent-package-
    contains-binary-or-object" errors. The files are binary files, but
    compiled for a non Debian target processor.

 -- Aurelien Jarno <aurel32@debian.org>  Tue,  8 Jul 2003 01:24:13 +0200

newlib-m68hc1x (1.10.0-6) unstable; urgency=low

  * Changed the package to arch-indep as it only contains a cross-compiled
    library and the corresponding headers.
  * Bumped standards-version to 3.5.10.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 25 May 2003 22:31:33 +0200

newlib-m68hc1x (1.10.0-5) unstable; urgency=low

  * Depends on ${misc:Depends}.
  * Uses debian/compat instead of DH_COMPAT.
  * Removed call to dh_undocumented.
  * Bumped standards-version to 3.5.9.

 -- Aurelien Jarno <aurel32@debian.org>  Tue,  8 Apr 2003 11:17:49 +0200

newlib-m68hc1x (1.10.0-4) unstable; urgency=low

  * More fixes in example code. 

 -- Aurelien Jarno <aurel32@debian.org>  Wed,  8 Jan 2003 15:41:26 +0100

newlib-m68hc1x (1.10.0-3) unstable; urgency=low

  * Fixed code in example. 

 -- Aurelien Jarno <aurel32@debian.org>  Tue,  7 Jan 2003 10:29:33 +0100

newlib-m68hc1x (1.10.0-2) unstable; urgency=low

  * Added some example code to /usr/share/doc/newlib-m68hc1x/
  * Bumped Standards-Version to 3.5.8

 -- Aurelien Jarno <aurel32@debian.org>  Mon,  6 Jan 2003 23:34:05 +0100

newlib-m68hc1x (1.10.0-1) unstable; urgency=low

  * Initial Release (closes: bug#172577).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 13 Dec 2002 01:17:28 +0100

Local variables:
mode: debian-changelog
End:
