=== debian/control ===
Source: newlib-m68hc1x
Section: devel
Priority: extra
Maintainer: Aurelien Jarno <aurel32@debian.org>
Standards-Version: 3.6.1
Build-Depends-Indep: autoconf (>= 2.13), debhelper (>= 4.0), gcc-m68hc1x (>= 3.3.3-1), tar (>= 1.13.18), bzip2, gzip, patch, toolchain-source-newlib (>= 3.3)

Package: newlib-m68hc1x
Architecture: all
Section: devel
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, gcc-m68hc1x (>= 3.3.3-1)
Conflicts: gcc-m68hc1x (<< 3.3.3-3)
Suggests: task-c-devel
Description: The newlib library built for Motorola's 68HC11/12 targets
 Newlib is a C library intended for use on embedded systems. It is a
 conglomeration of several library parts, all under free software licenses
 that make them easily usable on embedded products.
 .
 This package contains the newlib library compiled for Motorola's 68HC11/12 
 targets.
